from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import File, String

Add_Protein_Annotation_Py_V0_1_0 = CommandToolBuilder(tool="add_protein_annotation.py", base_command=["add_protein_annotation.py"], inputs=[ToolInput(tag="in_fast_a", input_type=File(optional=True), prefix="--fasta", doc=InputDocumentation(doc="A fasta file")), ToolInput(tag="in_in", input_type=File(optional=True), prefix="--in", doc=InputDocumentation(doc="A mProphet output file")), ToolInput(tag="in_out", input_type=File(optional=True), prefix="--out", doc=InputDocumentation(doc="A modified mProphet output file")), ToolInput(tag="in_var_3", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_script", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_to", input_type=String(), position=2, doc=InputDocumentation(doc="")), ToolInput(tag="in_annotate", input_type=String(), position=3, doc=InputDocumentation(doc="")), ToolInput(tag="in_var_7", input_type=String(), position=4, doc=InputDocumentation(doc="")), ToolInput(tag="in_csv", input_type=String(), position=5, doc=InputDocumentation(doc="")), ToolInput(tag="in_with", input_type=String(), position=6, doc=InputDocumentation(doc="")), ToolInput(tag="in_protein", input_type=String(), position=7, doc=InputDocumentation(doc="")), ToolInput(tag="in_descriptions", input_type=String(), position=8, doc=InputDocumentation(doc="")), ToolInput(tag="in_from", input_type=String(), position=9, doc=InputDocumentation(doc="")), ToolInput(tag="in_fast_a_dot", input_type=String(), position=10, doc=InputDocumentation(doc="")), ToolInput(tag="in_it", input_type=String(), position=11, doc=InputDocumentation(doc="")), ToolInput(tag="in_will", input_type=String(), position=12, doc=InputDocumentation(doc="")), ToolInput(tag="in_search", input_type=String(), position=13, doc=InputDocumentation(doc="")), ToolInput(tag="in_for", input_type=String(), position=14, doc=InputDocumentation(doc="")), ToolInput(tag="in_column", input_type=String(), position=16, doc=InputDocumentation(doc="")), ToolInput(tag="in_named", input_type=String(), position=17, doc=InputDocumentation(doc="")), ToolInput(tag="in_protein_name", input_type=String(), position=18, doc=InputDocumentation(doc=""))], outputs=[ToolOutput(tag="out_in", output_type=File(optional=True), selector=InputSelector(input_to_select="in_in", type_hint=File()), doc=OutputDocumentation(doc="A mProphet output file")), ToolOutput(tag="out_out", output_type=File(optional=True), selector=InputSelector(input_to_select="in_out", type_hint=File()), doc=OutputDocumentation(doc="A modified mProphet output file"))], container="quay.io/biocontainers/msproteomicstools:0.11.0--py27ha968a36_1", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Add_Protein_Annotation_Py_V0_1_0().translate("wdl")

